> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pmock.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Rpa get task detail list

> RPA



## OpenAPI

````yaml get /open/api/rpa/task/getDetailList
openapi: 3.1.0
info:
  title: apidoc
  description: ''
  version: 1.0.0
servers:
  - url: https://user.pmock.com/api
    description: Generated server url
security: []
tags: []
paths:
  /open/api/rpa/task/getDetailList:
    get:
      tags: []
      summary: Rpa get task detail list
      description: RPA
      parameters:
        - name: pageSize
          in: query
          description: >-
            Number of records displayed per page

            The default is1,and the maximum number of items in a single query
            is:1
          required: false
          schema:
            type: integer
        - name: pageNum
          in: query
          description: Current page count
          required: false
          schema:
            type: integer
        - name: taskId
          in: query
          description: 任务ID
          required: true
          schema:
            type: integer
            format: int64
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TableDataInfoGetTaskDetailInfoResVO'
          headers: {}
      deprecated: false
      security: []
components:
  schemas:
    TableDataInfoGetTaskDetailInfoResVO:
      type: object
      properties:
        traceId:
          type: string
          description: Link ID
        total:
          type: integer
          description: Total number of records
          format: int64
        rows:
          type: array
          items:
            $ref: '#/components/schemas/GetTaskDetailInfoResVO'
            description: GetTaskDetailInfoResVO
          description: list data
        code:
          type: integer
          description: Message status code
        msg:
          type: string
          description: message content
    GetTaskDetailInfoResVO:
      type: object
      properties:
        id:
          type: integer
          description: 任务id
          format: int64
        taskId:
          type: integer
          description: 任务id
          format: int64
        code:
          type: string
          description: 手机编号
        phoneName:
          type: string
          description: 手机名称
        status:
          type: integer
          description: 任务状态 0-待执行 1-进行中 2-成功 3-失败
        startTime:
          type: string
          description: 任务开始时间
        endTime:
          type: string
          description: 任务结束时间
        errorImgUrl:
          type: string
          description: 任务异常截图url
        remark:
          type: string
          description: 备注

````